--- old/usr/src/uts/common/io/ib/ibtl/ibtl_impl.c	Sun Jun 11 17:03:51 2017
+++ new/usr/src/uts/common/io/ib/ibtl/ibtl_impl.c	Sun Jun 11 17:03:51 2017
@@ -89,7 +89,6 @@
 void	*ibtl_ibma_clnt_private;
 
 extern int ib_hw_status;
-_NOTE(SCHEME_PROTECTS_DATA("Scheme protects data", ib_hw_status))
 
 /*
  * Misc Module Declarations.
@@ -306,9 +305,6 @@
 	/* Allocate the memory for per-client-device info structure */
 	clntp = kmem_zalloc(sizeof (ibtl_clnt_t), KM_SLEEP);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(clntp->clnt_modinfop,
-	    clntp->clnt_dip, clntp->clnt_name, clntp->clnt_async_cnt,
-	    clntp->clnt_private))
 	/* Update the Client info structure */
 	clntp->clnt_modinfop = mod_infop;	/* IBT Client's Mod Info */
 	clntp->clnt_private = clnt_private;	/* IBT Client's private */
@@ -316,9 +312,6 @@
 	clntp->clnt_async_cnt = 0;
 	/* using a count of 7 below guarantees it is NULL terminated */
 	(void) strncpy(clntp->clnt_name, mod_infop->mi_clnt_name, 7);
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(clntp->clnt_modinfop,
-	    clntp->clnt_dip, clntp->clnt_name, clntp->clnt_async_cnt,
-	    clntp->clnt_private))
 
 	/*
 	 * Update Client Device Instance List.
@@ -1157,10 +1150,7 @@
 
 	IBTF_DPRINTF_L3(ibtf, "ibtl_kstat_fini(hca_devp = 0x%p)", hca_devp);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*hca_devp))
-
 	pks = hca_devp->hd_hca_port_ks_info;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pks))
 
 	if (pks == NULL)
 		return;
@@ -1273,20 +1263,13 @@
 	IBTF_DPRINTF_L4(ibtf, "ibtl_kstat_pkeys_update(ksp = 0x%p, rw = %d)",
 	    ksp, rw);
 
-#ifndef	__lock_lint
 	ASSERT(MUTEX_HELD(&ibtl_clnt_list_mutex));
-#endif
 
 	if (rw == KSTAT_WRITE)
 		return (EACCES);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ksp))
-
 	pks = ksp->ks_private;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*pks))
-
 	hca_devp = pks->pks_hca_devp;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*hca_devp))
 
 	/*
 	 * Point kstat data to the pkey table in the portinfo cache.
